Subject: Re: compilng problems, wcslen and langinfo
From: "Xavier Pianet" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 31 Oct 2002 18:21:44 +0100

Hi there

"Arno Waschk" <[email-masked]> a écrit dans le message news:
3C8QOQMA9ECCXULJFBUO71A0SOJHM.3dc12958@oemcomputer...
> Dear list,
>
>
> Trying to compile wxGTK I am stuck..
> What might here be going wrong?
> I thought langinfo and wcslen are supported (and configure thinks that
too) and the wcslen error looks strange...?
> Am I missing something like a library?
> Can I help you with further information?
>

Have a look at the message i wrote on th 29/10 :
conflicting types for `typedef struct mbstate_t`(was link troubles with
wcslen)

it should solve at least the wcslen pb.

After days of head bashing i managed to get wxWindows compile as a dll under
cygwin
the trick was mainly (after the wcslen pb) to add the compile
option -Wl,--export-all-symbols
in the building of the dll (g++ -shared ....)
For reasons i still can't explain some symbols are not exported in the
.dll.a file
i think it is a bug in dlltool but i can't get a small example to reproduce
the problem

this weekend will be for wxPython...
Xavier

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/